MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Modules | Data Structures | Macros | Typedefs
TYPES

## Modules
| Module overview

## Data Structures
struct | _cplx_int_least8_t
| Define the complex data type for at least 8 bit signed real and imaginary components. More...
struct | _cplx_uint_least8_t
| Define the complex data type for at least 8 bit unsigned real and imaginary components. More...
struct | _cplx_least16_t
| Define the complex data type for at least 16 bit signed real and imaginary components. More...
struct | _cplx_uleast16_t
| Define the complex data type for at least 16 bit unsigned real and imaginary components. More...
struct | _cplx_int_least32_t_
| Define the complex data type for at least 32 bit signed real and imaginary components. More...
struct | _cplx_uint_least32_t_
| Define the complex data type for at least 32 bit unsigned real and imaginary components. More...
struct | _cplx_int16_t_
| Define the complex data type for 16 bit signed real and imaginary components. More...
struct | _cplx_uint16_t_
| Define the complex data type for 16 bit unsigned real and imaginary components. More...
struct | _cplx_int32_t
| Define the complex data type for 32 bit signed real and imaginary components. More...
struct | _cplx_uint32_t
| Define the complex data type for 32 bit unsigned real and imaginary components. More...

## Macros
#define | HIGH 1
| Defines high. More...
#define | LOW 0
| Defines low. More...
#define | OFF 0
| Defines off. More...
#define | OK 0
| Defines ok. More...
#define | ON 1
| Defines on. More...
#define | ERROR 1
| Defines generic error. More...
#define | PASS 1
| Defines pass. More...
#define | FAIL 0
| Defines fails. More...

## Typedefs
typedef unsigned int | status
| Defines the portable data type for a status result. More...
typedef float | float_t
| Defines the portable data type for 32 bit, signed floating-point data. More...
typedef long double | double_t
| Defines the portable data type for 64 bit, signed floating-point data. More...
typedef struct _cplx_int_least8_t | cplx_int_least8_t
| Define the complex data type for at least 8 bit signed real and imaginary components. More...
typedef struct _cplx_uint_least8_t | cplx_uint_least8_t
| Define the complex data type for at least 8 bit unsigned real and imaginary components. More...
typedef struct _cplx_least16_t | cplx_int_least16_t
| Define the complex data type for at least 16 bit signed real and imaginary components. More...
typedef struct _cplx_uleast16_t | cplx_uint_least16_t
| Define the complex data type for at least 16 bit unsigned real and imaginary components. More...
typedef struct _cplx_int_least32_t_ | cplx_int_least32_t
| Define the complex data type for at least 32 bit signed real and imaginary components. More...
typedef struct _cplx_uint_least32_t_ | cplx_uint_least32_t
| Define the complex data type for at least 32 bit unsigned real and imaginary components. More...
typedef struct _cplx_int16_t_ | cplx_int16_t
| Define the complex data type for 16 bit signed real and imaginary components. More...
typedef struct _cplx_uint16_t_ | cplx_uint16_t
| Define the complex data type for 16 bit unsigned real and imaginary components. More...
typedef struct _cplx_int32_t | cplx_int32_t
| Define the complex data type for 32 bit signed real and imaginary components. More...
typedef struct _cplx_uint32_t | cplx_uint32_t
| Define the complex data type for 32 bit unsigned real and imaginary components. More...

## Detailed Description

## Data Structure Documentation

struct _cplx_int_least8_t

Define the complex data type for at least 8 bit signed real and imaginary components.

Definition at line 146 of file types.h.

Data Fields
int_least8_t | imag |
int_least8_t | real |

struct _cplx_uint_least8_t

Define the complex data type for at least 8 bit unsigned real and imaginary components.

Definition at line 155 of file types.h.

Data Fields
uint_least8_t | imag |
uint_least8_t | real |

struct _cplx_least16_t

Define the complex data type for at least 16 bit signed real and imaginary components.

Definition at line 164 of file types.h.

Data Fields
int_least16_t | imag |
int_least16_t | real |

struct _cplx_uleast16_t

Define the complex data type for at least 16 bit unsigned real and imaginary components.

Definition at line 173 of file types.h.

Data Fields
uint_least16_t | imag |
uint_least16_t | real |

struct _cplx_int_least32_t_

Define the complex data type for at least 32 bit signed real and imaginary components.

Definition at line 182 of file types.h.

Data Fields
int_least32_t | imag |
int_least32_t | real |

struct _cplx_uint_least32_t_

Define the complex data type for at least 32 bit unsigned real and imaginary components.

Definition at line 191 of file types.h.

Data Fields
uint_least32_t | imag |
uint_least32_t | real |

struct _cplx_int16_t_

Define the complex data type for 16 bit signed real and imaginary components.

Definition at line 200 of file types.h.

Data Fields
int16_t | imag |
int16_t | real |

struct _cplx_uint16_t_

Define the complex data type for 16 bit unsigned real and imaginary components.

Definition at line 209 of file types.h.

Data Fields
uint16_t | imag |
uint16_t | real |

struct _cplx_int32_t

Define the complex data type for 32 bit signed real and imaginary components.

Definition at line 218 of file types.h.

Data Fields
int32_t | imag |
int32_t | real |

struct _cplx_uint32_t

Define the complex data type for 32 bit unsigned real and imaginary components.

Definition at line 227 of file types.h.

Data Fields
uint32_t | imag |
uint32_t | real |

## Macro Definition Documentation

#define ERROR 1

Defines generic error.

Definition at line 99 of file types.h.

Referenced by QUEUE_postEventFirst(), and QUEUE_postEventLast().

#define FAIL 0

Defines fails.

Definition at line 108 of file types.h.

#define HIGH 1

Defines high.

Definition at line 74 of file types.h.

#define LOW 0

Defines low.

Definition at line 79 of file types.h.

#define OFF 0

Defines off.

Definition at line 84 of file types.h.

#define OK 0

Defines ok.

Definition at line 89 of file types.h.

Referenced by QUEUE_postEventFirst(), and QUEUE_postEventLast().

#define ON 1

Defines on.

Definition at line 94 of file types.h.

#define PASS 1

Defines pass.

Definition at line 103 of file types.h.

## Typedef Documentation

typedef struct _cplx_int16_t_ cplx_int16_t

Define the complex data type for 16 bit signed real and imaginary components.

typedef struct _cplx_int32_t cplx_int32_t

Define the complex data type for 32 bit signed real and imaginary components.

typedef struct _cplx_least16_t cplx_int_least16_t

Define the complex data type for at least 16 bit signed real and imaginary components.

typedef struct _cplx_int_least32_t_ cplx_int_least32_t

Define the complex data type for at least 32 bit signed real and imaginary components.

typedef struct _cplx_int_least8_t cplx_int_least8_t

Define the complex data type for at least 8 bit signed real and imaginary components.

typedef struct _cplx_uint16_t_ cplx_uint16_t

Define the complex data type for 16 bit unsigned real and imaginary components.

typedef struct _cplx_uint32_t cplx_uint32_t

Define the complex data type for 32 bit unsigned real and imaginary components.

typedef struct _cplx_uleast16_t cplx_uint_least16_t

Define the complex data type for at least 16 bit unsigned real and imaginary components.

typedef struct _cplx_uint_least32_t_ cplx_uint_least32_t

Define the complex data type for at least 32 bit unsigned real and imaginary components.

typedef struct _cplx_uint_least8_t cplx_uint_least8_t

Define the complex data type for at least 8 bit unsigned real and imaginary components.

typedef long double double_t

Defines the portable data type for 64 bit, signed floating-point data.

Definition at line 126 of file types.h.

typedef float float_t

Defines the portable data type for 32 bit, signed floating-point data.

Definition at line 121 of file types.h.

typedef unsigned int status

Defines the portable data type for a status result.

Definition at line 116 of file types.h.